/**
 * CodeMirror editor defaults which are loaded globally on all relevant places
 */

CodeMirror.defaults.lineNumbers = true;
CodeMirror.defaults.lineWrapping = true;
CodeMirror.defaults.rulers = [
  //{ column: 80, color: '#efefef', lineStyle: 'solid', width: '1000px'},
  { column: 80, color: '#ddf', lineStyle: 'dashed'},
];
CodeMirror.defaults.autoClearEmptyLines = true;
CodeMirror.defaults.foldGutter = true;
CodeMirror.defaults.gutters = [
  "CodeMirror-linenumbers",
  "CodeMirror-foldgutter",
];
CodeMirror.defaults.indentUnit = 4;
CodeMirror.defaults.extraKeys = {
  "Tab": function(cm) { cm.replaceSelection(Array(CodeMirror.defaults.indentUnit+1).join(" ") , "end"); }
};
